# Test: Empty critical_actions array
# Expected: PASS - empty array is valid for optional field

agent:
  metadata:
    id: empty-critical-actions
    name: Empty Critical Actions
    title: Empty Critical Actions
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with empty critical actions
    identity: I am a test agent with empty critical actions array.
    communication_style: Clear
    principles:
      - Test empty arrays

  critical_actions: []

  menu:
    - trigger: help
      description: Show help
      action: display_help
